cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

This product reached the end of support date on March 31, 2021.

Upgrade DT Server 7.0 to 7.2, are the agents still connected ? Agents version are 6.0

m_nasrudin
Guide

Hi expert,

I want to upgrade the DT server version from 7.0 to 7.2, but I want to clarify about the requirement between Server, Collector, and Agent version.

All agents version still 6.0, and the Collector version is 6.0 too. But, when I upgrade DT server version from 7.0 to 7.2, is it possible ? Are the agents still connected when I finished migration from 7.0 to 7.2 ? I worried the agents connection loss, and I can't perform restart the agents because some applications are connected to Dynatrace is critical application.

Please suggest me to my plan upgrade

Thanks,

Regards,

Nasrudin


3 REPLIES 3

Babar_Qayyum
DynaMight Leader
DynaMight Leader

Hello @Muhammad N.

Although certain version combinations may be compatible, it is strongly advised for all users to upgrade all components as soon as possible to the same version as the server.

Have a look at the below link.

https://www.dynatrace.com/support/doc/appmon/installation/upgrade-and-migration-guide/prepare-to-upg...

Regards,

Babar


sebastian_kryst
DynaMight Leader
DynaMight Leader

As Babar said, your collector and agents will still work. This is because it can be situation that for some reason your application has to work for example on 6.0 or 6.5 version of agent. In such case you can leave collector on such version (for example only one) and monitoring will still work.

It is recommended to upgrade collectors and agents (if possible) to version 7.2. As well it is worth to consider switch from classic to AppMon agents which are based on OneAgent binaries. AppMon agents communicates witch collectors via rest not tcp ip so different ports are used (https://www.dynatrace.com/support/doc/appmon/installation/set-up-communication-connections/). You have new approach of application instrumentation with less overhead. Collectors as well needs less resources because then they are working only as proxy.

Sebastian


m_nasrudin
Guide

Hi @Babar Q. @Sebastian K.

Thank you for your response, I think I want to upgrade the server version first. I can't upgrade Agent and collector because too much agent with version 6.0, all of agents are critical application, so there are impossible to restart agent in the near future, except there is a deployment activity.

Thanks,

Regards,

Nasrudin